language: java
cache: bundler

jdk:
  - openjdk7

os:
- linux


#install: 

before_script: mvn clean install -B -DskipTests -q
#- "export PATH=`pwd`/bin:$PATH"
#- "export JAVA_OPTS='-XX:+TieredCompilation -XX:TieredStopAtLevel=1'"

#script: mvn test -B | grep -v 'INFO .* org.jboss.forge.furnace'
script: "mvn test -B -maven.test.redirectTestOutputToFile | grep -v 'org.jboss.forge.furnace' | grep -v 'INFO: Copying /home/travis/.m2/' | grep -v 'Undeploying [' | grep -v 'Deploying ['"

notifications:
  irc:
    channels:
      - "irc.freenode.org#windup"
    on_success: change
    on_failure: always
    template:
      - "%{repository} (%{branch}:%{commit} by %{author}): %{message} (%{build_url})"

#  webhooks:
#    urls:
#      - "https://rubies.travis-ci.org/rebuild/jruby-head"

